Debian Bug report logs - #671130
ITP: gesftpserver -- sftp server submodule for OpenSSH

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Wed, 2 May 2012 00:36:02 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version gesftpserver/0.1-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#671130; Package wnpp. (Wed, 02 May 2012 00:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 02 May 2012 00:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gesftpserver -- sftp server submodule for OpenSSH
Date: Wed, 02 May 2012 02:32:37 +0200
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : gesftpserver
  Version         : 0.1
  Upstream Author : Richard Kettlewell
* URL             : https://github.com/ewxrjk/sftpserver
* License         : GPL-2+
  Programming Lang: C
  Description     : sftp server submodule for OpenSSH

 Green End SFTP Server is an SFTP server supporting up to protocol
 version 6.  It is possible to use it as a drop-in replacement for the
 OpenSSH server.
 .
 NB! This server is currently experimental and still under development.
 Don't trust your critical data to it.  The code has an extensive and
 growing test suite (invoke 'make check' to run it) but bugs may yet
 remain.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#671130; Package wnpp. (Wed, 02 May 2012 12:36:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Smedegaard <dr@jones.dk>. (Wed, 02 May 2012 12:36:48 GMT) Full text and rfc822 format available.

Message #10 received at 671130@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Jonas Smedegaard <dr@jones.dk>, 671130@bugs.debian.org
Subject: Re: Bug#671130: ITP: gesftpserver -- sftp server submodule for OpenSSH
Date: Wed, 2 May 2012 14:26:16 +0200
On Wed, May 02, 2012 at 02:32:37AM +0200, Jonas Smedegaard wrote:
>  Green End SFTP Server is an SFTP server supporting up to protocol
>  version 6.  It is possible to use it as a drop-in replacement for the
>  OpenSSH server.

This does not answer the question, why I want to use it instead of the
one provided by OpenSSH.

Bastian

-- 
Intuition, however illogical, is recognized as a command prerogative.
		-- Kirk, "Obsession", stardate 3620.7




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Jonas Smedegaard <dr@jones.dk>:
Bug#671130; Package wnpp. (Wed, 02 May 2012 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 671130@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Jonas Smedegaard <dr@jones.dk>. (Wed, 02 May 2012 13:36:03 GMT) Full text and rfc822 format available.

Message #15 received at 671130@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Bastian Blank <waldi@debian.org>, 671130@bugs.debian.org
Subject: Re: Bug#671130: ITP: gesftpserver -- sftp server submodule for OpenSSH
Date: Wed, 2 May 2012 15:34:12 +0200
[Message part 1 (text/plain, inline)]
On 12-05-02 at 02:26pm, Bastian Blank wrote:
> On Wed, May 02, 2012 at 02:32:37AM +0200, Jonas Smedegaard wrote:
> >  Green End SFTP Server is an SFTP server supporting up to protocol 
> >  version 6.  It is possible to use it as a drop-in replacement for 
> >  the OpenSSH server.
> 
> This does not answer the question, why I want to use it instead of the 
> one provided by OpenSSH.

Good point.  I was so deep into solving the problem that I forgot to 
make sure it was easy to comprehend for those coming after me:

OpenSSH implements only version 3 of the SFTP protocol.

SFTP version 5 (and apparently yet unfinished version 6) introduced some 
extended features, among those support for file locking.

My goal is to offer cross-platform WAN file sharing for a client, as a 
simpler alternative to their current SMB+VPN.


Suggestions on how specifically to improve the long description is much 
appreciated.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 06 May 2012 08:06:03 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Sun, 20 May 2012 16:21:19 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Sun, 20 May 2012 16:21:20 GMT) Full text and rfc822 format available.

Message #22 received at 671130-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 671130-close@bugs.debian.org
Subject: Bug#671130: fixed in gesftpserver 0.1-1
Date: Sun, 20 May 2012 16:17:26 +0000
Source: gesftpserver
Source-Version: 0.1-1

We believe that the bug you reported is fixed in the latest version of
gesftpserver, which is due to be installed in the Debian FTP archive:

gesftpserver_0.1-1.debian.tar.gz
  to main/g/gesftpserver/gesftpserver_0.1-1.debian.tar.gz
gesftpserver_0.1-1.dsc
  to main/g/gesftpserver/gesftpserver_0.1-1.dsc
gesftpserver_0.1-1_amd64.deb
  to main/g/gesftpserver/gesftpserver_0.1-1_amd64.deb
gesftpserver_0.1.orig.tar.gz
  to main/g/gesftpserver/gesftpserver_0.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671130@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated gesftpserver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 02 May 2012 03:24:36 +0200
Source: gesftpserver
Binary: gesftpserver
Architecture: source amd64
Version: 0.1-1
Distribution: unstable
Urgency: low
Maintainer: Jonas Smedegaard <dr@jones.dk>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 gesftpserver - sftp server submodule for OpenSSH
Closes: 671130
Changes: 
 gesftpserver (0.1-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#671130.
Checksums-Sha1: 
 536f9ad4513c5a05be63eb82eca038b12d00c26a 1969 gesftpserver_0.1-1.dsc
 c33ec5a6bcf41c21cabc30e44ab1e35176898fbc 220578 gesftpserver_0.1.orig.tar.gz
 3fffd97a4db8fcba26ccea217b4052d0e636a4de 5572 gesftpserver_0.1-1.debian.tar.gz
 fbba1318a3f333b0b3438af362a2fb2eee4264ae 37364 gesftpserver_0.1-1_amd64.deb
Checksums-Sha256: 
 512ab5f686fe95235b8cbebedf1a02e113abd1c6e8fc96d7417d4457e52a8e28 1969 gesftpserver_0.1-1.dsc
 1db183e2d4cca5cc3ef10526f417ddef28e0402d0119030a06227bf925e63872 220578 gesftpserver_0.1.orig.tar.gz
 f4d9416386c1158c4080a45ba2f2a7a73dd89bc6fff15eeb955c176928a5f61a 5572 gesftpserver_0.1-1.debian.tar.gz
 a68f760d10a01e659b1490d1247fc4c9edd73b69e746672fdef45c8ef8368b9b 37364 gesftpserver_0.1-1_amd64.deb
Files: 
 cdab137bfefa7bea6656a273b9212327 1969 utils optional gesftpserver_0.1-1.dsc
 367e2e465e13a748ee8dfee974ca68fc 220578 utils optional gesftpserver_0.1.orig.tar.gz
 f30743f0d0c7ff0b061507171042f454 5572 utils optional gesftpserver_0.1-1.debian.tar.gz
 a495af0916df9af761159e25ac845590 37364 utils optional gesftpserver_0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJPpbE6AAoJECx8MUbBoAEhknwP/2tstTP0Q1yTBZ3fXqghZE/q
5sJj2EEiXKOTlC5TFO4SzLf7OGrBkBQv5IcjdjqhXvMuZwitPEPudmync+IfEcc1
05vE3ezW+5l4udS89Rk5gxHlnu1OaObvvHoGr9zufSjZ1guqL8/+ebUsDcV/Y4IZ
vR2KI2sFnqJdk73uabyP0Jf6E2iiXmDIxYdInI9+o6qlTZKABaHLcdc1T4BPie7A
BgXBzD+TQZYI4bAw2y4K4EvQx9UR2SMQiAJ/QmbeJ6arnVR3HQGcMYO6kt7ZI7Bs
vR9IwbCisGMt3s4I5a4BC4/R5XS+/NOL3vQOa/T+r+jGlHAqsHhh4khFoTNdndis
dL6TT6PDXCY2SXbtosILuWgq+mejXvRNhiyh/uU0GTNh7oyARhcsJQI85WBWemvt
LWQc4g9XoIm+7+4yCc/WFTDJPk96IkVuqa8ld7rdJGXTJbbojgzNqiI380amfyj5
VFBLnK9D5unc3AVPTKLLBuesxjo22SxAmYZmtfTF47fc4Q21IBqiuw6gfSJuB3ZD
03LpSDFRcnrQoIPLyRoMn3pbu4SzfgxiRq+XzrkJPFTmyvEd5Rm+A1PUQB4r9nKc
nKW/ZTmdhoz7r9spsVDFBFCcQwHJT7MI0UuxZJDQQn6/TGrt0OhAWZFqEjbZEs7O
L4E6SsP7Q5lDPD5SbKnb
=LfA/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2012 07:37:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:43:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.